oggz(1)

NAME
oggz — inspect and manipulate Ogg multimedia files

SYNOPSIS

oggzhelp command command args

Description

oggz is a suite of tools for manipulating Ogg multimedia files. It supports multiplexed files conformant with RFC3533. Oggz can parse headers for CELT, CMML, Dirac, FLAC, Kate, PCM, Speex, Theora and Vorbis, and can read and write Ogg Skeleton logical bitstreams.

Commands

•   helpDisplay help for a specific subcommand (eg. "oggz help chop")

  Reporting

•   diffHexdump the packets of two Ogg files and output differences.

•   dumpHexdump packets of an Ogg file, or revert an Ogg file from such a hexdump.

•   infoDisplay information about one or more Ogg files and their bitstreams.

•   scanScan an Ogg file and output characteristic landmarks.

•   validateValidate the Ogg framing of one or more files.

  Extraction

•   ripExtract one or more logical bitstreams from an Ogg file.

  Editing

•   chopExtract the part of an Ogg file between given start and/or end times.

•   commentList or edit comments in an Ogg file. mergeMerge Ogg files together, interleaving pages in order of presentation time.sortSort the pages of an Ogg file in order of presentation time.

Options

oggz accepts the following options:

  Miscellaneous options

-h, --help
    Display usage information and exit.

-v, --version
    Output version information and exit.

AUTHOR

Conrad Parker July 9, 2008;

COPYRIGHT

Copyright © 2008 Annodex Association

SEE ALSO

ogginfo(1) hogg(1)